#!/usr/bin/perl 

# subnets_act_modif.cgi: Changement de l'tat d'un sous-rseau
# Version 1.1

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

do '/home/hadmin/slis.conf.pl';

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Conversion des notations de masques reseaux
$conv[16]="255.255.0.0";
$conv[17]="255.255.128.0";
$conv[18]="255.255.192.0";
$conv[19]="255.255.224.0";
$conv[20]="255.255.240.0";
$conv[21]="255.255.248.0";
$conv[22]="255.255.252.0";
$conv[23]="255.255.254.0";
$conv[24]="255.255.255.0";
$conv[25]="255.255.255.128";
$conv[26]="255.255.255.192";
$conv[27]="255.255.255.224";
$conv[28]="255.255.255.240";
$conv[29]="255.255.255.248";
$conv[30]="255.255.255.252";
$conv[31]="255.255.255.254";
$conv[32]="255.255.255.255";

open (SUBNETS,"$BASE/subnets");
open (SUBNETS_NEW,">$QUEUE/subnets");

$i=0;
while (<SUBNETS>)
{
  $i++;
  chomp;
  ($subn,$act)=split(/ /,$_);
  print SUBNETS_NEW "$subn ";
  if ($html->param("etat$i") eq "actif") { print SUBNETS_NEW "1\n" ; }
  if ($html->param("etat$i") eq "inactif") { print SUBNETS_NEW "0\n" ; }
}

print "<CENTER><H3>Ces modifications seront prises en compte ";
print "lors de la prochaine validation. (Cliquez sur VALIDER dans
le menu de gauche pour confirmer.)</H3>\n";
print "<P><FONT COLOR=#FF0000>ATTENTION:</FONT> Si vous avez rendu inactif
le r&eacute;seau depuis lequel vous &ecirc;tes connect&eacute; sur cette
interface, v&eacute;rifiez bien que les pr&eacute;f&eacute;rences du
proxy de votre navigateur sont bien configur&eacute;es, sinon, vous
risquez de ne plus avoir la main. R&eacute;f&eacute;rez vous
&agrave; la doc de mise en oeuvre pour savoir comment doit
&ecirc;tre configur&eacute; le proxy.<P>"; 
print "</CENTER>";

close SUBNETS ;
close SUBNETS_NEW ;

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;
